> < ^ Date: Thu, 28 Jul 1994 19:12:00 +0100 (WET)
> < ^ From: Frank Celler <frank.celler@math.rwth-aachen.de >
> ^ Subject: various installation problems

Dear Forum,

the following list describes possible solutions to various problems
which might occur while installing GAP 3.4 Patchlevel 0. Please send
any further questions to "Gap-Trouble@Math.RWTH-Aachen.DE".

Problem 1: ibm pc, ms-dos, share libraries

'RequirePackage' reports "Error, share library is not installed" but
I have installed the corresponding share library in "gap3r4p0/pkg".


'ReadPkg' has a problem with the directory separators '\\' used in
MS-DOS. In order to fix this problem change the start up script
"gap.bat". Replace the last line

... -m %GAP_MEM% -l %GAP_DIR%\lib\ -h %GAP_DIR%\doc\ %1 ...


... -m %GAP_MEM% -l %GAP_DIR%/lib/; -h %GAP_DIR%\doc\ %1 ...

The C-Compiler DJGPP used to compile GAP under MS-DOS automatically
translates '/' to '\\' in path names.

Problem 2: dec alpha, osf1, gap

My compiled version of GAP does not run correctly on a DEC Alpha.


The version of GASMAN, the GAP storage mananger, used for GAP 3.4 is
not 64bit safe. In order to use GAP on a DEC Alpha you have to
translate a DEC Ultrix executable using mx. A translated executable
can be found in

Problem 3: dec alpha, osf1, xgap

I cannot compile XGAP on a DEC Alpha because make reports "Don't
know how to make xcmds.c. Stop." but "xcmds.c" is there.

I cannot compile XGAP because there is no target for DEC Alpha in
the makefile.


Use gnumake. The following command will compile XGAP

gnumake xgap CC=cc CFLAGS="-I/usr/include -O -DSYS_HAS_UNISTD  \
                           -DSYS_HAS_STDARG" LDFLAGS=" -L/usr/lib"

Alternatively you can get XGAP from our ftp server. An executable
can be found in

Problem 4: any unix, anu sq

I can compile the ANU Sq but the linker complains about a missing


Unfortunately the GAP archive contains an old Makefile for the ANU
Sq. Try the following commands to compile the Sq under Berkeley

make bsd-gcc COPTS=-DSYS_BSD
make bsd-cc COPTS=-DSYS_BSD

To compile the Sq under System V UNIX try:

make usg-gcc COPTS=-DSYS_USG
make usg-cc COPTS=-DSYS_USG

best wishes

> < [top]